%define share_desktop_ontologies 0.11.0
%define with_kitchensync 0
%{?_with_kitchensync: %{expand: %%global with_kitchensync 1}}
%define kontact_mobile 0
%define kalarm_with_akonadi 1
%define grantlee_version 0.4.0

Name: kde-pim
Summary: K Desktop Environment
Version: 4.14.10
Release: %mkrel 1
Group: Graphical desktop/KDE4
License: GPL
URL: http://pim.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-%version.tar.xz
Patch0:  kdepim-4.10.90-install_kleopatra_headers.patch
Patch401: kdepim-4.12.2-cmake-libkaddressbookgrantlee.patch

BuildRoot:     %_tmppath/%name-%version-%release-root
BuildRequires: baloo-devel
BuildRequires: baloo-widgets-devel
BuildRequires: kdelibs-devel
BuildRequires: kde-pimlibs-devel
BuildRequires: kde-pimruntime-devel
BuildRequires: gpgme-devel 
BuildRequires: grantlee-devel >= 0.4.0
BuildRequires: nepomuk-widgets-devel
BuildRequires: %{_lib}x11-devel 
BuildConflicts: %{_lib}link-grammar4-devel 
BuildRequires: flex 
BuildRequires: byacc
BuildRequires: dblatex 
BuildRequires: pam
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gnokii-devel >= 0.6.18
BuildRequires: libxml2-utils
BuildRequires: gnupg
BuildRequires: bluez-devel 
BuildRequires: libsasl-devel
BuildRequires: pilot-link
BuildRequires: libxslt-proc
BuildRequires: %{_lib}boost-devel > 1.48
BuildRequires: qca2-devel
BuildRequires: glib2-devel
BuildRequires: libassuan-devel
BuildRequires: %{_lib}mysql-static-devel
BuildRequires: %{_lib}mal-devel
BuildRequires: soprano-devel
BuildRequires: automoc
BuildRequires: %{_lib}indicate-qt-devel
BuildRequires: prison-devel
BuildRequires: akonadi-devel
BuildRequires: kde-pimlibs
BuildRequires: %{_lib}redland-devel
BuildRequires: %{_lib}lrdf2-devel
Requires:	kdelibs
Requires:	kde-runtime
Requires:	kde-pimruntime
Suggests:	kde-pimakonadiconsole
Suggests:	kde-pimakonadi-mailfilter-agent
Suggests:	kde-pimakregator
Suggests:	kde-pimblogilo
Suggests:	kde-pimconsole
Suggests:	kde-pim-core
Suggests:	kde-pimkaddressbook
Suggests:	kde-pimkalarm
Suggests:	kde-pimkjots
Suggests:	kde-pimkleopatra
Suggests:	kde-pimkmail
Suggests:	kde-pimknode
Suggests:	kde-pimknotes
Suggests:	kde-pimkontact
Suggests:	kde-pimkorganizer
Suggests:	kde-pimkresources
Suggests:	kde-pimktimetracker
Suggests:	kde-pimkincidenceeditor
%if %{with_kitchensync}
Suggests:       kde-pimkitchensync
%endif
Obsoletes: %name < %version
Obsoletes: kdepim4 < %version

%description
This is a meta package to install all of the KDEpim Packages.

Information Management applications for the K Desktop Environment.

	- kaddressbook: The KDE addressbook application.
	- korganizer: a calendar-of-events and todo-list manager
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer
	  and kalarm.
	- ktimetracker: Time tracker.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.
	- kmail: universal mail client
	- kmailcvt: converst addressbooks to kmail format
%if %{with_kitchensync}
	- kitchensync: Synchronisation framework, still under heavy development.
%endif

%files -n %name
%defattr(-,root,root,-)

#-----------------------------------------------------------------------------

%package -n %{name}akonadiconsole
Summary: %name-akonadiconsole
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: akonadiconsole
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-akonadiconsole

%description -n %{name}akonadiconsole
%name-akonadiconsole.

%files -n %{name}akonadiconsole
%defattr(-,root,root,-)
%_bindir/akonadiconsole
%_datadir/applications/kde4/akonadiconsole.desktop
%_datadir/apps/akonadiconsole/akonadiconsoleui.rc
%_iconsdir/hicolor/128x128/apps/akonadiconsole.png
%_iconsdir/hicolor/16x16/apps/akonadiconsole.png
%_iconsdir/hicolor/22x22/apps/akonadiconsole.png
%_iconsdir/hicolor/256x256/apps/akonadiconsole.png
%_iconsdir/hicolor/32x32/apps/akonadiconsole.png
%_iconsdir/hicolor/48x48/apps/akonadiconsole.png
%_iconsdir/hicolor/64x64/apps/akonadiconsole.png
%_libdir/libcalendarsupport.so.4
%_libdir/libcalendarsupport.so.%{version}
%_libdir/libmessageviewer.so.4
%_libdir/libmessageviewer.so.%{version}
%_libdir/libkdepimdbusinterfaces.so.4
%_libdir/libkdepimdbusinterfaces.so.%{version}
%_libdir/libcalendarsupportcollectionpage.so.4
%_libdir/libcalendarsupportcollectionpage.so.%{version}
#-----------------------------------------------------------------------------

%package -n	%{name}akonadi-mailfilter-agent
Summary:	Akonadi mailfilter agent
Group:		Graphical desktop/KDE4
Requires:	%{name}-core = %version
Requires: kde-runtime
Provides: akonadi-mailfilter-agent
Requires:	kde-pimruntime
Requires:	kdelibs

%description -n %{name}akonadi-mailfilter-agent
Akonadi mailfilter agent.

%files -n %{name}akonadi-mailfilter-agent
%_bindir/akonadi_mailfilter_agent
%_datadir/akonadi/agents/mailfilteragent.desktop
%_datadir/akonadi/agents/folderarchiveagent.desktop

%_libdir/kde4/plugins/accessible/messagevieweraccessiblewidgetfactory.so
%_datadir/apps/kconf_update/mailfilteragent.upd
%_datadir/apps/kconf_update/migrate-kmail-filters.pl
%_libdir/libmailcommon.so.4
%_libdir/libmailcommon.so.%{version}
%_libdir/libmessagecomposer.so.4
%_libdir/libmessagecomposer.so.%{version}
%_libdir/libincidenceeditorsng.so.4
%_libdir/libmessageviewer.so.4
%_libdir/libtemplateparser.so.4

#-----------------------------------------------------------------------------

%package -n %{name}akregator
Summary: %name-akregator
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: akregator
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-akregator

%description -n %{name}akregator
%name-akregator.

Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -n %{name}akregator
%defattr(-,root,root,-)
%_bindir/akregator
%_bindir/akregatorstorageexporter
%_datadir/doc/HTML/en/akregator
%_libdir/kde4/akregatorpart.so
%_libdir/kde4/akregator_config_advanced.so
%_libdir/kde4/akregator_config_appearance.so
%_libdir/kde4/akregator_config_archive.so
%_libdir/kde4/akregator_config_browser.so
%_libdir/kde4/akregator_config_general.so
%_libdir/kde4/akregator_config_sharemicroblog.so
%_libdir/kde4/akregator_sharemicroblog_plugin.so
%_libdir/kde4/akregator_mk4storage_plugin.so
%_libdir/kde4/kontact_akregatorplugin.so
%_libdir/libakregatorinterfaces.so.4
%_libdir/libakregatorinterfaces.so.%{version}
%_libdir/libakregatorprivate.so.4
%_libdir/libakregatorprivate.so.%{version}
%_datadir/applications/kde4/akregator.desktop
%_datadir/apps/akregator/about/akregator.css
%_datadir/apps/akregator/about/main.html
%_datadir/apps/akregator/about/top-left-akregator.png
%_datadir/apps/akregator/akregator.notifyrc
%_datadir/apps/akregator/akregator_part.rc
%_datadir/apps/akregator/akregator_shell.rc
%_datadir/apps/akregator/articleviewer.rc
%_datadir/apps/akregator/pageviewer.rc
%_datadir/apps/akregator/pics/kmmsgnew.png
%_datadir/apps/akregator/pics/kmmsgunseen.png
%_datadir/apps/akregator_sharemicroblog_plugin/akregator_sharemicroblog_plugin.rc
%_datadir/apps/kontact/ksettingsdialog/akregator.setdlg
%_datadir/config.kcfg/akregator.kcfg
%_datadir/dbus-1/interfaces/org.kde.akregator.part.xml
%_datadir/icons/hicolor/128x128/apps/akregator.png
%_iconsdir/hicolor/256x256/apps/akregator.png
%_datadir/icons/hicolor/16x16/apps/akregator.png
%_datadir/icons/hicolor/16x16/apps/akregator_empty.png
%_datadir/icons/hicolor/22x22/apps/akregator.png
%_datadir/icons/hicolor/32x32/apps/akregator.png
%_datadir/icons/hicolor/48x48/apps/akregator.png
%_datadir/icons/hicolor/64x64/apps/akregator.png
%_datadir/icons/hicolor/scalable/apps/akregator.svgz
%_datadir/kde4/services/akregator_config_advanced.desktop
%_datadir/kde4/services/akregator_config_appearance.desktop
%_datadir/kde4/services/akregator_config_archive.desktop
%_datadir/kde4/services/akregator_config_browser.desktop
%_datadir/kde4/services/akregator_config_general.desktop
%_datadir/kde4/services/akregator_config_sharemicroblog.desktop
%_datadir/kde4/services/akregator_sharemicroblog_plugin.desktop
%_datadir/kde4/services/akregator_mk4storage_plugin.desktop
%_datadir/kde4/services/akregator_part.desktop
%_datadir/kde4/services/feed.protocol
%_datadir/kde4/services/kontact/akregatorplugin.desktop
%_datadir/kde4/servicetypes/akregator_plugin.desktop

#-----------------------------------------------------------------------------

%package -n %{name}blogilo
Summary: %nameblogilo
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Requires: kde-pimruntime
Requires: kde-pimlibs
Provides: blogilo
Obsoletes:	kdepim4-blogilo

%description -n %{name}blogilo
%name-blogilo.

Blogilo is a blogging client for KDE, which supports famous blogging
APIs.

%files -n %{name}blogilo
%defattr(-,root,root,-)
%_bindir/blogilo
%_datadir/applications/kde4/blogilo.desktop
%_datadir/apps/blogilo/blogiloui.rc
#%_datadir/apps/blogilo/TextEditorInitialHtml
%_datadir/config.kcfg/blogilo.kcfg
%_datadir/doc/HTML/en/blogilo/add-blog-1.png
%_datadir/doc/HTML/en/blogilo/add-blog-2.png
%_datadir/doc/HTML/en/blogilo/common
%_datadir/doc/HTML/en/blogilo/index.cache.bz2
%_datadir/doc/HTML/en/blogilo/index.docbook
%_datadir/doc/HTML/en/blogilo/mainwindow.png
%_datadir/doc/HTML/en/blogilo/media-upload.png
%_datadir/doc/HTML/en/blogilo/toolbox-1.png
%_datadir/doc/HTML/en/blogilo/toolbox-2.png
%_datadir/doc/HTML/en/blogilo/toolbox-3.png
%_datadir/doc/HTML/en/blogilo/toolbox-4.png
%_datadir/icons/hicolor/128x128/actions/upload-media.png
%_datadir/icons/hicolor/128x128/apps/blogilo.png
%_datadir/icons/hicolor/16x16/actions/format-text-blockquote.png
%_datadir/icons/hicolor/16x16/actions/format-text-code.png
%_datadir/icons/hicolor/16x16/actions/insert-more-mark.png
%_datadir/icons/hicolor/16x16/actions/remove-link.png
%_datadir/icons/hicolor/16x16/actions/upload-media.png
%_datadir/icons/hicolor/16x16/apps/blogilo.png
%_datadir/icons/hicolor/22x22/actions/format-text-blockquote.png
%_datadir/icons/hicolor/22x22/actions/format-text-code.png
%_datadir/icons/hicolor/22x22/actions/insert-more-mark.png
%_datadir/icons/hicolor/22x22/actions/remove-link.png
%_datadir/icons/hicolor/22x22/actions/upload-media.png
%_datadir/icons/hicolor/22x22/apps/blogilo.png
%_datadir/icons/hicolor/32x32/actions/upload-media.png
%_datadir/icons/hicolor/32x32/apps/blogilo.png
%_datadir/icons/hicolor/48x48/actions/upload-media.png
%_datadir/icons/hicolor/48x48/apps/blogilo.png
%_datadir/icons/hicolor/64x64/actions/upload-media.png
%_datadir/icons/hicolor/64x64/apps/blogilo.png

#-----------------------------------------------------------------------------
%package -n %{name}console
Summary: %name-console
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Requires: kde-pimruntime
Requires: kde-pimlibs
Obsoletes:	kdepim4-console

%description -n %{name}console
%name-console.

%files -n %{name}console
%defattr(-,root,root,-)
%_bindir/kabc2mutt
%_bindir/kabcclient
%_bindir/konsolekalendar
%_datadir/applications/kde4/konsolekalendar.desktop

%_datadir/doc/HTML/en/konsolekalendar/common
%_datadir/doc/HTML/en/konsolekalendar/index.cache.bz2
%_datadir/doc/HTML/en/konsolekalendar/index.docbook

%_datadir/doc/HTML/en/kabcclient/common
%_datadir/doc/HTML/en/kabcclient/index.cache.bz2
%_datadir/doc/HTML/en/kabcclient/index.docbook
%_datadir/doc/HTML/en/kabcclient/man-kabcclient.1.docbook

%_datadir/man/man1/kabcclient.1.bz2

#-----------------------------------------------------------------------------

%package -n %{name}kaddressbook
Summary: %name-kaddressbook
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: kaddressbook
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-kaddressbook

%description -n %{name}kaddressbook
%name-kaddressbook.

The KDE addressbook application.

%files -n %{name}kaddressbook
%defattr(-,root,root,-)
%_bindir/kaddressbook
%_datadir/doc/HTML/en/akonadi_archivemail_agent
%_datadir/doc/HTML/en/akonadi_sendlater_agent
%_libdir/akonadi/contact/editorpageplugins/cryptopageplugin.so
%_libdir/kde4/kaddressbookpart.so
%_libdir/kde4/kcm_ldap.so
%_libdir/kde4/kontact_kaddressbookplugin.so
%_libdir/libkaddressbookprivate.so.4
%_libdir/libkaddressbookprivate.so.%{version}
%_libdir/libkaddressbookgrantlee.so.4
%_libdir/libkaddressbookgrantlee.so.%{version}
%_datadir/applications/kde4/kaddressbook.desktop
%_kde_applicationsdir/kaddressbook-importer.desktop
%_datadir/apps/kaddressbook/kaddressbookui.rc
%_datadir/apps/kaddressbook/printing/compact-style.png
%_datadir/apps/kaddressbook/printing/detailed-style.png
%_datadir/apps/kaddressbook/printing/mike-style.png
%_datadir/apps/kaddressbook/printing/ringbinder-style.png
%_datadir/apps/kaddressbook/printing/themes/*
%_datadir/apps/kaddressbook/viewertemplates/default/*
%_datadir/apps/kontact/ksettingsdialog/kaddressbook.setdlg
%_datadir/icons/hicolor/16x16/apps/kaddressbook.png
%_datadir/icons/hicolor/22x22/apps/kaddressbook.png
%_datadir/icons/hicolor/32x32/apps/kaddressbook.png
%_datadir/icons/hicolor/48x48/apps/kaddressbook.png
%_iconsdir/hicolor/64x64/apps/kaddressbook.png
%_iconsdir/hicolor/128x128/apps/kaddressbook.png
%_iconsdir/hicolor/scalable/apps/kaddressbook.svgz
%_datadir/kde4/services/kaddressbookpart.desktop
%_datadir/kde4/services/kcmldap.desktop
%_datadir/kde4/services/kontact/kaddressbookplugin.desktop

#-----------------------------------------------------------------------------

%package -n %{name}kalarm
Summary: %name-kalarm
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: kalarm
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-kalarm

%description -n %{name}kalarm
%name-kalarm.

KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

%files -n %{name}kalarm
%defattr(-,root,root,-)
%_bindir/kalarm
%_bindir/kalarmautostart
%_libdir/kde4/libexec/kalarm_helper
%_datadir/applications/kde4/kalarm.desktop
%_datadir/apps/kalarm/icons/oxygen/16x16/actions/document-new-from-template.png
%_datadir/apps/kalarm/icons/oxygen/16x16/actions/new-audio-alarm.png
%_datadir/apps/kalarm/icons/oxygen/16x16/actions/new-command-alarm.png
%_datadir/apps/kalarm/icons/oxygen/22x22/actions/document-new-from-template.png
%_datadir/apps/kalarm/icons/oxygen/22x22/actions/kalarm.png
%_datadir/apps/kalarm/icons/oxygen/22x22/actions/new-audio-alarm.png
%_datadir/apps/kalarm/icons/oxygen/22x22/actions/new-command-alarm.png
%_datadir/apps/kalarm/icons/oxygen/22x22/actions/kalarm-partdisabled.png
%_datadir/apps/kalarm/icons/oxygen/22x22/actions/kalarm-disabled.png
%_datadir/apps/kalarm/kalarmui.rc
%_datadir/apps/kconf_update/kalarm-1.2.1-general.pl
%_datadir/apps/kconf_update/kalarm-1.9.5-defaults.pl
%_datadir/apps/kconf_update/kalarm-2.0.2-general.pl
%_datadir/apps/kconf_update/kalarm-2.1.5-general.pl
%_datadir/apps/kconf_update/kalarm-version.pl
%_datadir/apps/kconf_update/kalarm.upd
%_datadir/autostart/kalarm.autostart.desktop
%_datadir/config.kcfg/kalarmconfig.kcfg
%_datadir/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%_datadir/doc/HTML/en/kalarm/alarmmessage.png
%_datadir/doc/HTML/en/kalarm/common
%_datadir/doc/HTML/en/kalarm/editwindow-simple.png
%_datadir/doc/HTML/en/kalarm/editwindow.png
%_datadir/doc/HTML/en/kalarm/index.cache.bz2
%_datadir/doc/HTML/en/kalarm/index.docbook
%_datadir/doc/HTML/en/kalarm/mainwindow-calendars.png
%_datadir/doc/HTML/en/kalarm/mainwindow.png
%_datadir/doc/HTML/en/kalarm/spinbox.png
%_datadir/icons/hicolor/16x16/apps/kalarm.png
%_datadir/icons/hicolor/22x22/apps/kalarm.png
%_datadir/icons/hicolor/32x32/apps/kalarm.png
%_datadir/icons/hicolor/48x48/apps/kalarm.png
%_datadir/icons/hicolor/64x64/apps/kalarm.png
%_datadir/icons/hicolor/128x128/apps/kalarm.png
%_datadir/icons/hicolor/scalable/apps/kalarm.svgz
%_sysconfdir/dbus-1/system.d/org.kde.kalarmrtcwake.conf
%_datadir/dbus-1/system-services/org.kde.kalarmrtcwake.service
%_datadir/polkit-1/actions/org.kde.kalarmrtcwake.policy

#-----------------------------------------------------------------------------

%package -n %{name}kjots
Summary: %name-kjots
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Requires: kde-pimruntime
Provides: kjots
Obsoletes:	kdepim4-kjots

%description -n %{name}kjots
%name-kjots.

A simple note taking application.

%files -n %{name}kjots
%defattr(-,root,root,-)
%_bindir/kjots
%_libdir/kde4/kcm_kjots.so
%_libdir/kde4/kjotspart.so
%_libdir/kde4/kontact_kjotsplugin.so
%_libdir/kde4/plasma_applet_akonotes_list.so
%_libdir/kde4/plasma_applet_akonotes_note.so
%_datadir/applications/kde4/Kjots.desktop
%_datadir/apps/kjots/kjotspartui.rc
%_datadir/apps/kjots/kjotsui.rc
%_datadir/apps/kjots/themes/default/book_toc_list.html
%_datadir/apps/kjots/themes/default/booktemplate.html
%_datadir/apps/kjots/themes/default/pagetemplate.html
%_datadir/apps/kjots/themes/default/template.html
%_datadir/apps/kjots/themes/other/booktemplate.html
%_datadir/apps/kjots/themes/other/pagetemplate.html
%_datadir/apps/kjots/themes/other/template.html
%_datadir/apps/kjots/themes/plain_text/book_template.txt
%_datadir/apps/kjots/themes/plain_text/page_template.txt
%_datadir/apps/kjots/themes/plain_text/template.txt
%_datadir/apps/kjots/themes/xml_output/booktemplate.xml
%_datadir/apps/kjots/themes/xml_output/pagetemplate.xml
%_datadir/apps/kjots/themes/xml_output/template.xml
%_datadir/apps/kontact/ksettingsdialog/kjots.setdlg
%_datadir/config.kcfg/kjots.kcfg
%_datadir/doc/HTML/en/kjots
%_datadir/icons/hicolor/128x128/apps/kjots.png
%_datadir/icons/hicolor/16x16/apps/kjots.png
%_datadir/icons/hicolor/22x22/apps/kjots.png
%_datadir/icons/hicolor/32x32/apps/kjots.png
%_datadir/icons/hicolor/48x48/apps/kjots.png
%_datadir/icons/hicolor/64x64/apps/kjots.png
%_datadir/icons/hicolor/scalable/apps/kjots.svgz
%_datadir/icons/oxygen/16x16/actions/edit-delete-page.png
%_datadir/icons/oxygen/22x22/actions/edit-delete-page.png
%_datadir/icons/oxygen/32x32/actions/edit-delete-page.png
%_datadir/icons/oxygen/48x48/actions/edit-delete-page.png
%_datadir/icons/oxygen/scalable/actions/edit-delete-page.svgz
%_datadir/kde4/services/kjotspart.desktop
%_datadir/kde4/services/kjots_config_misc.desktop
%_datadir/kde4/services/kontact/kjots_plugin.desktop
%_datadir/kde4/services/akonotes_list.desktop
%_datadir/kde4/services/akonotes_note.desktop
%_datadir/apps/desktoptheme/default/widgets/stickynote.svgz

#-----------------------------------------------------------------------------

%package -n %{name}kleopatra
Summary: %name-kleopatra
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: kleopatra
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-kleopatra

%description -n %{name}kleopatra
%name-kleopatra.


%files -n %{name}kleopatra
%defattr(-,root,root,-)
%_bindir/kgpgconf
%_bindir/kleopatra
%_bindir/kwatchgnupg
%_libdir/kde4/kcm_kleopatra.so
%_libdir/libkleopatraclientcore.so.0
%_libdir/libkleopatraclientcore.so.0.3.0
%_libdir/libkleopatraclientgui.so.0
%_libdir/libkleopatraclientgui.so.0.3.0
%_datadir/applications/kde4/kleopatra.desktop
%_datadir/applications/kde4/kleopatra_import.desktop
%_datadir/apps/kleopatra/kleopatra.rc
%_datadir/apps/kleopatra/pics/gpg4win-compact.png
%_datadir/apps/kleopatra/pics/gpg4win.png
%_datadir/apps/kleopatra/pics/kleopatra_splashscreen.png
%_datadir/apps/kleopatra/pics/kleopatra_splashscreen.svgz
%_datadir/apps/kleopatra/pics/kleopatra_wizard.png
%_datadir/apps/kleopatra/pics/kleopatra_wizard.svgz
%_datadir/apps/kwatchgnupg/kwatchgnupgui.rc
%_datadir/apps/kwatchgnupg/pics/kwatchgnupg.png
%_datadir/apps/kwatchgnupg/pics/kwatchgnupg2.png
%_datadir/doc/HTML/en/kleopatra/common
%_datadir/doc/HTML/en/kleopatra/index.cache.bz2
%_datadir/doc/HTML/en/kleopatra/index.docbook
%_datadir/icons/hicolor/scalable/apps/kleopatra.svgz
%_datadir/kde4/services/kleopatra_config_appear.desktop
%_datadir/kde4/services/kleopatra_config_dirserv.desktop
%_datadir/kde4/services/kleopatra_config_cryptooperations.desktop
%_datadir/kde4/services/kleopatra_config_smimevalidation.desktop
%_datadir/kde4/services/kleopatra_config_gnupgsystem.desktop
%_datadir/kde4/services/kleopatra_decryptverifyfiles.desktop
%_datadir/kde4/services/kleopatra_decryptverifyfolders.desktop
%_datadir/kde4/services/kleopatra_signencryptfiles.desktop
%_datadir/kde4/services/kleopatra_signencryptfolders.desktop
%_datadir/apps/libkleopatra/pics/chiasmus_chi.png
%_datadir/apps/libkleopatra/pics/hi16-app-gpg.png
%_datadir/apps/libkleopatra/pics/hi16-app-gpgsm.png
%_datadir/apps/libkleopatra/pics/hi22-app-gpg.png
%_datadir/apps/libkleopatra/pics/hi22-app-gpgsm.png
%_datadir/apps/libkleopatra/pics/hi32-app-gpg.png
%_datadir/apps/libkleopatra/pics/hi32-app-gpgsm.png
%_datadir/apps/libkleopatra/pics/key.png
%_datadir/apps/libkleopatra/pics/key_bad.png
%_datadir/apps/libkleopatra/pics/key_ok.png
%_datadir/apps/libkleopatra/pics/key_unknown.png
%_datadir/apps/libkleopatra/pics/smartcard.xpm
%_datadir/config/libkleopatrarc
%_datadir/doc/HTML/en/kwatchgnupg/common
%_datadir/doc/HTML/en/kwatchgnupg/index.cache.bz2
%_datadir/doc/HTML/en/kwatchgnupg/index.docbook
%_iconsdir/hicolor/128x128/apps/kleopatra.png
%_iconsdir/hicolor/16x16/apps/kleopatra.png
%_iconsdir/hicolor/22x22/apps/kleopatra.png
%_iconsdir/hicolor/256x256/apps/kleopatra.png
%_iconsdir/hicolor/32x32/apps/kleopatra.png
%_iconsdir/hicolor/48x48/apps/kleopatra.png
%_iconsdir/hicolor/64x64/apps/kleopatra.png

#-----------------------------------------------------------------------------

%package -n %{name}kmail
Summary: %name-kmail
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: kmail
Provides: kmail2
Provides: kmail2-common
Requires:	%{_lib}sasl2
Requires:	%{_lib}sasl2-plug-digestmd5
Requires:	%{_lib}sasl2-plug-anonymous
Requires:	%{_lib}sasl2-plug-crammd5
Requires:	%{_lib}sasl2-plug-gssapi
Requires:	%{_lib}sasl2-plug-ldapdb
Requires:	%{_lib}sasl2-plug-login
Requires:	%{_lib}sasl2-plug-ntlm
Requires:	%{_lib}sasl2-plug-otp
Requires:	%{_lib}sasl2-plug-plain
Requires:	%{_lib}sasl2-plug-sasldb
Requires:	%{_lib}sasl2-plug-sql
Requires:	akonadi
Requires:	%{name}akonadiconsole
Requires:	kde-pimakonadi-mailfilter-agent
Requires:	kde-pimruntime
Requires:	oxygen-icon-theme
Obsoletes:	kdepim4-kmail

%description -n %{name}kmail
%name-kmail.

KMail is the email component of Kontact, the integrated personal
information manager of KDE.

Include kmail2-common

%files -n %{name}kmail
%defattr(-,root,root,-)
%_bindir/mboximporter
%_bindir/kmail
%_bindir/kmailcvt
%_bindir/kmail_antivir.sh
%_bindir/kmail_clamav.sh
%_bindir/kmail_fprot.sh
%_bindir/kmail_sav.sh
%_bindir/ksendemail
%_kde_bindir/sieveeditor
%_libdir/kde4/kcm_kmail.so
%_libdir/kde4/kcm_kmailsummary.so
%_libdir/kde4/kmailpart.so
%_libdir/kde4/kontact_kmailplugin.so
###%_libdir/kde4/kcm_pimactivity.so
%_libdir/kde4/plugins/designer/mailcommonwidgets.so
%_libdir/kde4/plugins/designer/pimcommonwidgets.so
%_libdir/kde4/plugins/grantlee/0.4/grantlee_messageheaderfilters.so
%_libdir/libkmailprivate.so.4
%_libdir/libkmailprivate.so.%{version}
%_libdir/libksieve.so.4
%_libdir/libksieve.so.%{version}
%_libdir/libksieveui.so.4
%_libdir/libksieveui.so.%{version}
%_libdir/libmailcommon.so.4
%_libdir/libmailcommon.so.%{version}
%_libdir/libmessagecomposer.so.4
%_libdir/libmessagecomposer.so.%{version}
%_libdir/libmessageviewer.so.4
%_libdir/libmessageviewer.so.%{version}
%_libdir/libtemplateparser.so.4
%_libdir/libtemplateparser.so.%{version}
%_libdir/libincidenceeditorsng.so.4
%_libdir/libincidenceeditorsng.so.%{version}
%_libdir/libkmanagesieve.so.4
%_libdir/libkmanagesieve.so.%{version}
%_libdir/libsendlater.so.4
%_libdir/libsendlater.so.%{version}
%_libdir/libfollowupreminder.so.*
###%_libdir/libpimactivity.so.4
###%_libdir/libpimactivity.so.%{version}
###%_libdir/libgrammar.so.4
###%_libdir/libgrammar.so.%{version}
%_libdir/libcomposereditorng.so.4
%_libdir/libcomposereditorng.so.%{version}
%_kde_applicationsdir/sieveeditor.desktop
%_datadir/applications/kde4/KMail2.desktop
%_datadir/applications/kde4/kmail_view.desktop
%_datadir/apps/kconf_update/kmail-3.1-update-new-mail-notification-settings.pl
%_datadir/apps/kconf_update/kmail-3.1-use-UOID-for-identities.pl
%_datadir/apps/kconf_update/kmail-3.1.4-dont-use-UOID-0-for-any-identity.pl
%_datadir/apps/kconf_update/kmail-3.2-misc.sh
%_datadir/apps/kconf_update/kmail-3.2-update-loop-on-goto-unread-settings.sh
%_datadir/apps/kconf_update/kmail-3.3-aegypten.pl
%_datadir/apps/kconf_update/kmail-3.3-misc.pl
%_datadir/apps/kconf_update/kmail-3.3-move-identities.pl
%_datadir/apps/kconf_update/kmail-3.3-split-sign-encr-keys.sh
%_datadir/apps/kconf_update/kmail-3.3-use-ID-for-accounts.pl
%_datadir/apps/kconf_update/kmail-3.3b1-misc.pl
%_datadir/apps/kconf_update/kmail-3.4-misc.pl
%_datadir/apps/kconf_update/kmail-3.4.1-update-status-filters.pl
%_datadir/apps/kconf_update/kmail-3.5-trigger-flag-migration.pl
%_datadir/apps/kconf_update/kmail-4.0-misc.pl
%_datadir/apps/kconf_update/kmail-pgpidentity.pl
%_datadir/apps/kconf_update/kmail-upd-identities.pl
%_datadir/apps/kconf_update/kmail.upd
%_datadir/apps/kconf_update/upgrade-signature.pl
%_datadir/apps/kconf_update/upgrade-transport.pl
%_datadir/apps/kconf_update/grantleetheme.upd
%_datadir/apps/kmail2/about/kmail.css
%_datadir/apps/kmail2/about/main.html
%_datadir/apps/kmail2/about/top-left-kmail.png
%_datadir/apps/kmail2/kmail2.notifyrc
%_datadir/apps/kmail2/kmail_part.rc
%_datadir/apps/kmail2/kmcomposerui.rc
%_datadir/apps/kmail2/kmmainwin.rc
%_datadir/apps/kmail2/kmreadermainwin.rc
%_datadir/apps/kmail2/pics/kmwizard.png
%_datadir/apps/kmail2/pics/mail-deleted.png
%_datadir/apps/kmail2/pics/mail-thread-ignored.png
%_datadir/apps/kmail2/pics/mail-thread-watch.png
%_datadir/apps/kmail2/pics/pgp-keys.png
%_datadir/apps/kmail2/tips
%_datadir/apps/headerthemeeditor/headerthemeeditorui.rc
%_datadir/apps/contactthemeeditor/contactthemeeditorui.rc
%_datadir/apps/composereditor/composereditorinitialhtml
%_datadir/apps/kmailcvt/pics/step1.png
%_datadir/apps/kontact/ksettingsdialog/kmail.setdlg
%_kde_appsdir/sieve
%_kde_appsdir/sieveeditor
%_datadir/config.kcfg/customtemplates_kfg.kcfg
%_datadir/config/kaddressbook_themes.knsrc
%_datadir/config/ksieve_script.knsrc
%_datadir/config.kcfg/kmail.kcfg
%_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_datadir/config/kmail.antispamrc
%_datadir/config/kmail.antivirusrc
%_datadir/config/messageviewer_header_themes.knsrc
%_datadir/dbus-1/interfaces/org.kde.kmail.kmail.xml
%_datadir/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%_datadir/icons/hicolor/128x128/apps/kmail.png
%_datadir/icons/hicolor/16x16/apps/kmail.png
%_datadir/icons/hicolor/22x22/apps/kmail.png
%_datadir/icons/hicolor/32x32/apps/kmail.png
%_datadir/icons/hicolor/48x48/apps/kmail.png
%_datadir/icons/hicolor/64x64/apps/kmail.png
%_datadir/icons/hicolor/scalable/apps/kmail.svgz
%_datadir/icons/hicolor/16x16/apps/kmailcvt.png
%_datadir/icons/hicolor/32x32/apps/kmailcvt.png
%_datadir/icons/hicolor/48x48/apps/kmailcvt.png
%_datadir/kde4/services/kcmkmailsummary.desktop
%_datadir/kde4/services/kmail_config_accounts.desktop
%_datadir/kde4/services/kmail_config_appearance.desktop
%_datadir/kde4/services/kmail_config_composer.desktop
%_datadir/kde4/services/kmail_config_identity.desktop
%_datadir/kde4/services/kmail_config_misc.desktop
%_datadir/kde4/services/kmail_config_security.desktop
%_datadir/kde4/services/kontact/kmailplugin.desktop
%_datadir/kde4/servicetypes/dbusmail.desktop
%_datadir/kde4/services/ServiceMenus/kmail_addattachmentservicemenu.desktop
%_datadir/akonadi/agents/sendlateragent.desktop
%_datadir/apps/kmail2/pics/key.png
%_datadir/apps/kmail2/pics/key_bad.png
%_datadir/apps/kmail2/pics/key_ok.png
%_datadir/apps/kmail2/pics/key_unknown.png
###%_datadir/ontology/kde/messagetag.ontology
###%_datadir/ontology/kde/messagetag.trig
%_datadir/apps/akonadi_followupreminder_agent/

#kmail-common
%_libdir/kde4/messageviewer_bodypartformatter_application_mstnef.so
%_libdir/kde4/messageviewer_bodypartformatter_text_calendar.so
%_libdir/kde4/messageviewer_bodypartformatter_text_vcard.so
%_libdir/kde4/messageviewer_bodypartformatter_text_xdiff.so
%_datadir/kde4/services/kcm_kpimidentities.desktop
%_libdir/kde4/kcm_kpimidentities.so
 
#libmessageviewer
%_datadir/apps/libmessageviewer/pics/enterprise_bottom.png
%_datadir/apps/libmessageviewer/pics/enterprise_bottom_left.png
%_datadir/apps/libmessageviewer/pics/enterprise_bottom_right.png
%_datadir/apps/libmessageviewer/pics/enterprise_icon.png
%_datadir/apps/libmessageviewer/pics/enterprise_left.png
%_datadir/apps/libmessageviewer/pics/enterprise_right.png
%_datadir/apps/libmessageviewer/pics/enterprise_s_left.png
%_datadir/apps/libmessageviewer/pics/enterprise_s_right.png
%_datadir/apps/libmessageviewer/pics/enterprise_sbar.png
%_datadir/apps/libmessageviewer/pics/enterprise_sp_right.png
%_datadir/apps/libmessageviewer/pics/enterprise_sw.png
%_datadir/apps/libmessageviewer/pics/enterprise_top.png
%_datadir/apps/libmessageviewer/pics/enterprise_top_left.png
%_datadir/apps/libmessageviewer/pics/enterprise_top_right.png
%_datadir/apps/libmessageviewer/pics/enterprise_w.png
%_datadir/apps/libmessageviewer/pics/mobile_bg.png
%_datadir/apps/libmessageviewer/pics/mobile_status_actionitem.png
%_datadir/apps/libmessageviewer/pics/mobile_status_attachment.png
%_datadir/apps/libmessageviewer/pics/mobile_status_encrypted.png
%_datadir/apps/libmessageviewer/pics/mobile_status_forwarded.png
%_datadir/apps/libmessageviewer/pics/mobile_status_important.png
%_datadir/apps/libmessageviewer/pics/mobile_status_replied.png
%_datadir/apps/libmessageviewer/pics/mobile_status_signed.png
%_datadir/apps/libmessageviewer/pics/quicklistClosed.png
%_datadir/apps/libmessageviewer/pics/quicklistOpened.png
%_datadir/apps/libmessageviewer/pics/quotecollapse.png
%_datadir/apps/libmessageviewer/pics/quoteexpand.png

#messageviewer
%_datadir/apps/messageviewer/about/messageviewer_mobile.css
%_datadir/apps/messageviewer/about/main_mobile.html
%_datadir/apps/messageviewer/plugins/bodypartformatter/application_ms-tnef.desktop
%_datadir/apps/messageviewer/plugins/bodypartformatter/text_calendar.desktop
%_datadir/apps/messageviewer/plugins/bodypartformatter/text_vcard.desktop
%_datadir/apps/messageviewer/plugins/bodypartformatter/text_xdiff.desktop
%_datadir/apps/messageviewer/themes
%_datadir/apps/messageviewer/longurlServices.json
%_datadir/apps/messageviewer/messageviewer.notifyrc


#messagelist
%_datadir/apps/messagelist/pics/mail-deleted.png
%_datadir/apps/messagelist/pics/mail-horizontal-space.png
%_datadir/apps/messagelist/pics/mail-thread-ignored.png
%_datadir/apps/messagelist/pics/mail-thread-watch.png
%_datadir/apps/messagelist/pics/mail-vertical-separator-line.png

#where did these come from?
%_bindir/akonadi_archivemail_agent
%_bindir/akonadi_followupreminder_agent
%_bindir/akonadi_sendlater_agent
%_bindir/headerthemeeditor
%_bindir/importwizard
%_bindir/ktnef
%_libdir/libmailimporter.so.4
%_libdir/libmailimporter.so.%{version}
###%_libdir/libfolderarchive.so.4
###%_libdir/libfolderarchive.so.%{version}
%_libdir/libgrantleetheme.so.4
%_libdir/libgrantleetheme.so.%{version}
%_libdir/libgrantleethemeeditor.so.4
%_libdir/libgrantleethemeeditor.so.%{version}
%_datadir/akonadi/agents/archivemailagent.desktop
%_datadir/akonadi/agents/followupreminder.desktop
%_datadir/applications/kde4/importwizard.desktop
%_datadir/applications/kde4/ktnef.desktop
%_datadir/applications/kde4/headerthemeeditor.desktop

%_datadir/applications/kde4/contactthemeeditor.desktop
%_datadir/applications/kde4/mboximporter.desktop
%_datadir/apps/akonadi_archivemail_agent/akonadi_archivemail_agent.notifyrc
###%_datadir/apps/akonadi_folderarchive_agent/akonadi_folderarchive_agent.notifyrc
%_datadir/apps/akonadi_mailfilter_agent/akonadi_mailfilter_agent.notifyrc
%_datadir/apps/akonadi_sendlater_agent/akonadi_sendlater_agent.notifyrc
%_datadir/apps/ktnef/ktnefui.rc
%_datadir/doc/HTML/en/
%_datadir/icons/hicolor/22x22/actions/ktnef_extract_all_to.png
%_datadir/icons/hicolor/22x22/actions/ktnef_extract_to.png
%_datadir/icons/hicolor/48x48/apps/ktnef.png
%_datadir/icons/locolor/16x16/actions/ktnef_extract_all_to.png
%_datadir/icons/locolor/16x16/actions/ktnef_extract_to.png
%_datadir/icons/locolor/16x16/apps/ktnef.png
%_datadir/icons/locolor/32x32/apps/ktnef.png


#-----------------------------------------------------------------------------

%package -n %{name}knode
Summary: %name-knode
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: knode
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-knode

%description -n %{name}knode
%name-knode.

KNode is a newsreader for the K Desktop Environment.

It is GNKSA compliant (unfortunally a review is still pending), and has
support for MIME and multiple servers.

It is a online-reader, but in combination with a local newsserver like
leafnode also usable with dial-up connections.

%files -n %{name}knode 
%defattr(-,root,root,-)
%_bindir/knode
%_libdir/kde4/kcm_knode.so
%_libdir/kde4/knodepart.so
%_libdir/kde4/kontact_knodeplugin.so
%_libdir/libknodecommon.so.4
%_libdir/libknodecommon.so.%{version}
%_libdir/libmessagecomposer.so.4
%_libdir/libmessagecomposer.so.%{version}
%_libdir/libmessageviewer.so.4
%_libdir/libmessageviewer.so.%{version}
%_libdir/libtemplateparser.so.4
%_libdir/libtemplateparser.so.%{version}
%_datadir/applications/kde4/KNode.desktop
%_datadir/apps/knode/filters/1.fltr
%_datadir/apps/knode/filters/2.fltr
%_datadir/apps/knode/filters/3.fltr
%_datadir/apps/knode/filters/4.fltr
%_datadir/apps/knode/filters/5.fltr
%_datadir/apps/knode/filters/6.fltr
%_datadir/apps/knode/filters/7.fltr
%_datadir/apps/knode/filters/8.fltr
%_datadir/apps/knode/filters/filters.rc
%_datadir/apps/knode/headers.rc
%_datadir/apps/knode/kncomposerui.rc
%_datadir/apps/knode/knodeui.rc
%_datadir/apps/knode/knreaderui.rc
%_datadir/apps/knode/pics/article.png
%_datadir/apps/knode/pics/eyes.png
%_datadir/apps/knode/pics/greyball.png
%_datadir/apps/knode/pics/greyballchk.png
%_datadir/apps/knode/pics/group.png
%_datadir/apps/knode/pics/ignore.png
%_datadir/apps/knode/pics/mail.png
%_datadir/apps/knode/pics/newsubs.png
%_datadir/apps/knode/pics/posting.png
%_datadir/apps/knode/pics/snderr.png
%_datadir/apps/kontact/ksettingsdialog/knode.setdlg
%_datadir/apps/kconf_update/knode.upd
%_datadir/dbus-1/interfaces/org.kde.knode.xml
%_datadir/doc/HTML/en/knode/commands.docbook
%_datadir/doc/HTML/en/knode/common
%_datadir/doc/HTML/en/knode/credits.docbook
%_datadir/doc/HTML/en/knode/eyes.png
%_datadir/doc/HTML/en/knode/faq.docbook
%_datadir/doc/HTML/en/knode/gloss.docbook
%_datadir/doc/HTML/en/knode/greyball.png
%_datadir/doc/HTML/en/knode/greyballchk.png
%_datadir/doc/HTML/en/knode/index.cache.bz2
%_datadir/doc/HTML/en/knode/index.docbook
%_datadir/doc/HTML/en/knode/install.docbook
%_datadir/doc/HTML/en/knode/introduction.docbook
%_datadir/doc/HTML/en/knode/journey.docbook
%_datadir/doc/HTML/en/knode/knode-cleanup.png
%_datadir/doc/HTML/en/knode/knode-colors-fonts.png
%_datadir/doc/HTML/en/knode/knode-composer-attachments.png
%_datadir/doc/HTML/en/knode/knode-composer-settings.png
%_datadir/doc/HTML/en/knode/knode-edit-filter.png
%_datadir/doc/HTML/en/knode/knode-edit-header1.png
%_datadir/doc/HTML/en/knode/knode-edit-header2.png
%_datadir/doc/HTML/en/knode/knode-filters.png
%_datadir/doc/HTML/en/knode/knode-followup.png
%_datadir/doc/HTML/en/knode/knode-header-settings.png
%_datadir/doc/HTML/en/knode/knode-identity.png
%_datadir/doc/HTML/en/knode/knode-mail-account.png
%_datadir/doc/HTML/en/knode/knode-new-article.png
%_datadir/doc/HTML/en/knode/knode-news-account.png
%_datadir/doc/HTML/en/knode/knode-post-settings.png
%_datadir/doc/HTML/en/knode/knode-read-news-appearance-dialog.png
%_datadir/doc/HTML/en/knode/knode-read-news-settings.png
%_datadir/doc/HTML/en/knode/knode-reply.png
%_datadir/doc/HTML/en/knode/knode-rule-editor.png
%_datadir/doc/HTML/en/knode/knode-search.png
%_datadir/doc/HTML/en/knode/knode-start.png
%_datadir/doc/HTML/en/knode/knode-subscribe.png
%_datadir/doc/HTML/en/knode/knode-views.png
%_datadir/doc/HTML/en/knode/more.docbook
%_datadir/doc/HTML/en/knode/newsubs.png
%_datadir/doc/HTML/en/knode/redball.png
%_datadir/doc/HTML/en/knode/redballchk.png
%_datadir/doc/HTML/en/knode/using-firststart.docbook
%_datadir/doc/HTML/en/knode/using-morefeatures.docbook
%_datadir/doc/HTML/en/knode/using-subscribing.docbook
%_datadir/icons/hicolor/128x128/apps/knode.png
%_datadir/icons/hicolor/16x16/apps/knode.png
%_datadir/icons/hicolor/32x32/apps/knode.png
%_datadir/icons/hicolor/48x48/apps/knode.png
%_datadir/icons/hicolor/64x64/apps/knode.png
%_iconsdir/hicolor/22x22/apps/knode.png
%_iconsdir/hicolor/scalable/apps/knode.svgz
%_datadir/kde4/services/knode_config_accounts.desktop
%_datadir/kde4/services/knode_config_appearance.desktop
%_datadir/kde4/services/knode_config_cleanup.desktop
%_datadir/kde4/services/knode_config_identity.desktop
%_datadir/kde4/services/knode_config_post_news.desktop
%_datadir/kde4/services/knode_config_privacy.desktop
%_datadir/kde4/services/knode_config_read_news.desktop
%_datadir/kde4/services/kontact/knodeplugin.desktop
%_datadir/apps/knode/pics/key.png
%_datadir/apps/knode/pics/key_bad.png
%_datadir/apps/knode/pics/key_ok.png
%_datadir/apps/knode/pics/key_unknown.png
%_datadir/doc/HTML/en/kioslave/news/common
%_datadir/doc/HTML/en/kioslave/news/index.cache.bz2
%_datadir/doc/HTML/en/kioslave/news/index.docbook

#-----------------------------------------------------------------------------

%package -n %{name}knotes
Summary: %name-knotes
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: knotes
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-knotes

%description -n %{name}knotes
%name-knotes.

KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files -n %{name}knotes
%defattr(-,root,root,-)
%_bindir/knotes
%_kde_bindir/akonadi_notes_agent
%_libdir/kde4/kcm_knote.so
%_kde_datadir/akonadi/agents/notesagent.desktop
###%_libdir/kde4/knotes_local.so
%_kde_appsdir/akonadi_notes_agent
%_libdir/kde4/kontact_knotesplugin.so
%_kde_libdir/kde4/kcm_knotessummary.so
%_libdir/libnoteshared.so.4
%_libdir/libnoteshared.so.%{version}
%_libdir/libknotesprivate.so.4
%_libdir/libknotesprivate.so.%{version}
%_datadir/applications/kde4/knotes.desktop
%_datadir/apps/knotes/knotesappui.rc
%_datadir/apps/knotes/knotesui.rc
%_datadir/apps/knotes/knotes_part.rc
%_datadir/apps/knotes/print/themes
%_datadir/apps/kontact/ksettingsdialog/knotes.setdlg
%_kde_appsdir/kconf_update/noteglobalsettings.upd
%_kde_datadir/config/knotes_printing_theme.knsrc
###%_datadir/config.kcfg/knoteconfig.kcfg
%_datadir/config.kcfg/knotesglobalconfig.kcfg
%_datadir/dbus-1/interfaces/org.kde.KNotes.xml
%_datadir/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%_datadir/doc/HTML/en/knotes/common
%_datadir/doc/HTML/en/knotes/index.cache.bz2
%_datadir/doc/HTML/en/knotes/index.docbook
%_datadir/icons/hicolor/128x128/apps/knotes.png
%_datadir/icons/hicolor/16x16/apps/knotes.png
%_datadir/icons/hicolor/22x22/apps/knotes.png
%_datadir/icons/hicolor/32x32/apps/knotes.png
%_datadir/icons/hicolor/48x48/apps/knotes.png
%_datadir/icons/hicolor/64x64/apps/knotes.png
%_iconsdir/hicolor/scalable/apps/knotes.svgz
%_datadir/icons/hicolor/16x16/actions/knotes_alarm.png
%_datadir/icons/hicolor/16x16/actions/knotes_close.png
%_datadir/icons/hicolor/16x16/actions/knotes_date.png
%_datadir/icons/hicolor/16x16/actions/knotes_delete.png
%_datadir/kde4/services/knote_config_action.desktop
%_datadir/kde4/services/knote_config_display.desktop
%_datadir/kde4/services/knote_config_editor.desktop
%_datadir/kde4/services/knote_config_network.desktop
%_datadir/kde4/services/knote_config_print.desktop
%_datadir/kde4/services/kontact/knotesplugin.desktop
%_kde_services/knote_config_collection.desktop
%_kde_services/knote_config_misc.desktop
%_kde_services/kcmknotessummary.desktop
###%_datadir/kde4/services/kresources/knotes/local.desktop
###%_datadir/kde4/services/kresources/knotes_manager.desktop


#-----------------------------------------------------------------------------

%package -n %{name}kontact
Summary: %name-kontact
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Requires: %{name}korganizer
Provides: kontact
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-kontact

%description -n %{name}kontact
%name-kontact.

The KDE Kontact Personal Information Management suite unites mature and
proven KDE applications under one roof. Thanks to the powerful KParts
technology, existing applications are seamlessly integrated into one.

%files -n %{name}kontact
%defattr(-,root,root,-)
%_bindir/kontact
%_bindir/calendarjanitor
%_bindir/contactthemeeditor
%_libdir/kde4/kcm_kontact.so
%_libdir/kde4/kcm_kontactsummary.so
%_libdir/kde4/kontact_specialdatesplugin.so
%_libdir/kde4/kontact_summaryplugin.so
%_libdir/kde4/kcm_sdsummary.so
%_libdir/libkontactprivate.so.4
%_libdir/libkontactprivate.so.%{version}
%_libdir/libkdepimdbusinterfaces.so.4
%_libdir/libkdepimdbusinterfaces.so.%{version}
%_datadir/applications/kde4/Kontact.desktop
%_datadir/apps/kontact/about/kontact.css
%_datadir/apps/kontact/about/main.html
%_datadir/apps/kontact/about/top-left-kontact.png
%_datadir/apps/kontact/kontactui.rc
%_datadir/apps/kontact/ksettingsdialog/summary.setdlg
%_datadir/apps/kontactsummary/kontactsummary_part.rc
%_datadir/config.kcfg/kontact.kcfg
%_datadir/doc/HTML/en/kontact/calendar-sidebar-icon.png
%_datadir/doc/HTML/en/kontact/common
%_datadir/doc/HTML/en/kontact/navigator-bar-kontact.png
%_datadir/doc/HTML/en/kontact/configuration-main.png
%_datadir/doc/HTML/en/kontact/configuration-shortcuts.png
%_datadir/doc/HTML/en/kontact/configuration-starting-component.png
%_datadir/doc/HTML/en/kontact/index.cache.bz2
%_datadir/doc/HTML/en/kontact/index.docbook
%_datadir/doc/HTML/en/kontact/kaddressbook-sidebar-icon.png
%_datadir/doc/HTML/en/kontact/main-view.png
%_datadir/doc/HTML/en/kontact/menu-bar-kmail.png
%_datadir/doc/HTML/en/kontact/menu-bar-korganizer.png
%_datadir/doc/HTML/en/kontact/menu-bar-summary.png
%_datadir/doc/HTML/en/kontact/new-menu.png
%_datadir/doc/HTML/en/kontact/settings-menu-kmail.png
%_datadir/doc/HTML/en/kontact/side-pane.png
%_datadir/doc/HTML/en/kontact/summary-view-calendar.png
%_datadir/doc/HTML/en/kontact/summary-view-special-dates.png
%_datadir/doc/HTML/en/kontact/summary-selection.png
%_datadir/doc/HTML/en/kontact/summary-view-mail.png
%_datadir/doc/HTML/en/kontact/summary-view-notes.png
%_datadir/doc/HTML/en/kontact/summary-view-repositioning.png
%_datadir/doc/HTML/en/kontact/summary-view-todos.png
%_datadir/doc/HTML/en/kontact/summary-view.png
%_datadir/doc/HTML/en/kontact/todo-list-sidebar-icon.png
%_datadir/icons/hicolor/128x128/apps/kontact.png
%_datadir/icons/hicolor/16x16/apps/kontact.png
%_datadir/icons/hicolor/22x22/apps/kontact.png
%_datadir/icons/hicolor/32x32/apps/kontact.png
%_datadir/icons/hicolor/48x48/apps/kontact.png
%_datadir/icons/hicolor/64x64/apps/kontact.png
%_iconsdir/hicolor/scalable/apps/kontact.svgz
%_iconsdir/hicolor/128x128/apps/kontact-import-wizard.png
%_iconsdir/hicolor/256x256/apps/kontact-import-wizard.png
%_iconsdir/hicolor/64x64/apps/kontact-import-wizard.png
%_iconsdir/hicolor/scalable/apps/kontact-import-wizard.svgz
%_datadir/kde4/services/kcmkontactsummary.desktop
%_datadir/kde4/services/kontact/summaryplugin.desktop
%_datadir/kde4/services/kontactconfig.desktop
%_datadir/applications/kde4/kontact-admin.desktop
%_datadir/doc/HTML/en/kontact-admin/common
%_datadir/doc/HTML/en/kontact-admin/index.cache.bz2
%_datadir/doc/HTML/en/kontact-admin/index.docbook


#-----------------------------------------------------------------------------

%package -n %{name}korganizer
Summary: %name-korganizer
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: korganizer
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-korganizer

%description -n %{name}korganizer
%name-korganizer.

KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -n %{name}korganizer
%defattr(-,root,root,-)
%_bindir/ical2vcal
%_bindir/korgac
%_bindir/korganizer
%_libdir/kde4/kcm_apptsummary.so
%_libdir/kde4/kcm_korganizer.so
%_libdir/kde4/kcm_todosummary.so
%_libdir/kde4/kontact_journalplugin.so
%_libdir/kde4/kontact_korganizerplugin.so
%_libdir/kde4/kontact_todoplugin.so
%_libdir/kde4/korganizerpart.so
%_libdir/kde4/korg_datenums.so
%_libdir/kde4/korg_hebrew.so
###%_libdir/kde4/korg_journalprint.so
%_libdir/kde4/korg_picoftheday.so
%_libdir/kde4/korg_thisdayinhistory.so
###%_libdir/kde4/korg_yearprint.so
%_libdir/libkorganizerprivate.so.4
%_libdir/libkorganizerprivate.so.%{version}
%_libdir/libkorganizer_core.so.4
%_libdir/libkorganizer_core.so.%{version}
%_libdir/libeventviews.so.4
%_libdir/libeventviews.so.%{version}
%_libdir/libkorganizer_interfaces.so.4
%_libdir/libkorganizer_interfaces.so.%{version}
%_libdir/libincidenceeditorsng.so.4
%_libdir/libincidenceeditorsng.so.%{version}
%_libdir/libkdepimdbusinterfaces.so.4
%_libdir/libkdepimdbusinterfaces.so.%{version}
%_libdir/libkdgantt2.so.0
%_libdir/libkdgantt2.so.0.1.0
%_datadir/applications/kde4/korganizer-import.desktop
%_datadir/applications/kde4/korganizer.desktop
%_datadir/apps/kconf_update/korganizer.upd
%_datadir/apps/kontact/ksettingsdialog/korganizer.setdlg
%_datadir/apps/korgac/icons/hicolor/128x128/apps/korgac.png
%_datadir/apps/korgac/icons/hicolor/16x16/apps/korgac.png
%_datadir/apps/korgac/icons/hicolor/22x22/apps/korgac.png
%_datadir/apps/korgac/icons/hicolor/256x256/apps/korgac.png
%_datadir/apps/korgac/icons/hicolor/32x32/apps/korgac.png
%_datadir/apps/korgac/icons/hicolor/64x64/apps/korgac.png
%_datadir/apps/korgac/icons/hicolor/scalable/apps/korgac.svgz
%_datadir/apps/korganizer/korganizerui.rc
%_datadir/apps/korganizer/korganizer_part.rc
%_datadir/apps/korganizer/sounds/alert.wav
%_datadir/apps/korganizer/sounds/icemag.wav
%_datadir/apps/korganizer/sounds/lightmag.wav
%_datadir/apps/korganizer/sounds/onscreen.wav
%_datadir/apps/korganizer/sounds/spinout.wav
%_datadir/apps/korganizer/tips
%_datadir/autostart/korgac.desktop
%_datadir/config.kcfg/korganizer.kcfg
%_datadir/config/korganizer.knsrc
%_datadir/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.KOrgac.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
%_datadir/doc/HTML/en/korganizer/common
%_datadir/doc/HTML/en/korganizer/event-attachments.png
%_datadir/doc/HTML/en/korganizer/event-attendees.png
%_datadir/doc/HTML/en/korganizer/view-calendar-agenda.png
%_datadir/doc/HTML/en/korganizer/event-general.png
%_datadir/doc/HTML/en/korganizer/event-recurrence.png
%_datadir/doc/HTML/en/korganizer/groupevent.png
%_datadir/doc/HTML/en/korganizer/index.cache.bz2
%_datadir/doc/HTML/en/korganizer/index.docbook
%_datadir/doc/HTML/en/korganizer/application-exit.png
%_datadir/doc/HTML/en/korganizer/appointment-new.png
%_datadir/doc/HTML/en/korganizer/document-open.png
%_datadir/doc/HTML/en/korganizer/document-print-preview.png
%_datadir/doc/HTML/en/korganizer/document-print.png
%_datadir/doc/HTML/en/korganizer/edit-copy.png
%_datadir/doc/HTML/en/korganizer/edit-cut.png
%_datadir/doc/HTML/en/korganizer/edit-delete.png
%_datadir/doc/HTML/en/korganizer/edit-find.png
%_datadir/doc/HTML/en/korganizer/edit-paste.png
%_datadir/doc/HTML/en/korganizer/edit-redo.png
%_datadir/doc/HTML/en/korganizer/edit-undo.png
%_datadir/doc/HTML/en/korganizer/go-jump-today.png
%_datadir/doc/HTML/en/korganizer/go-next.png
%_datadir/doc/HTML/en/korganizer/go-previous.png
%_datadir/doc/HTML/en/korganizer/list-add.png
%_datadir/doc/HTML/en/korganizer/organizer.png
%_datadir/doc/HTML/en/korganizer/view-calendar-day.png
%_datadir/doc/HTML/en/korganizer/view-calendar-journal.png
%_datadir/doc/HTML/en/korganizer/view-calendar-list.png
%_datadir/doc/HTML/en/korganizer/view-calendar-month.png
%_datadir/doc/HTML/en/korganizer/view-calendar-tasks.png
%_datadir/doc/HTML/en/korganizer/view-calendar-timeline.png
%_datadir/doc/HTML/en/korganizer/view-calendar-upcoming-days.png
%_datadir/doc/HTML/en/korganizer/view-calendar-upcoming-events.png
%_datadir/doc/HTML/en/korganizer/view-calendar-week.png
%_datadir/doc/HTML/en/korganizer/view-calendar-workweek.png
%_datadir/doc/HTML/en/korganizer/view-task-add.png
%_datadir/doc/HTML/en/korganizer/korganizer-resource.png
%_datadir/doc/HTML/en/korganizer/remotefile-resource.png
%_datadir/doc/HTML/en/korganizer/todo-general.png
%_datadir/icons/hicolor/128x128/apps/korganizer.png
%_datadir/icons/hicolor/16x16/apps/korganizer.png
%_datadir/icons/hicolor/22x22/apps/korganizer.png
%_datadir/icons/hicolor/32x32/apps/korganizer.png
%_datadir/icons/hicolor/48x48/apps/korganizer.png
%_datadir/icons/hicolor/64x64/apps/korganizer.png
%_datadir/icons/hicolor/scalable/apps/korganizer.svgz
%_datadir/icons/oxygen/16x16/actions/smallclock.png
%_datadir/icons/oxygen/16x16/actions/upindicator.png
%_datadir/icons/oxygen/22x22/actions/checkmark.png
%_iconsdir/hicolor/16x16/apps/korg-journal.png
%_iconsdir/hicolor/16x16/apps/korg-todo.png
%_iconsdir/hicolor/22x22/apps/korg-journal.png
%_iconsdir/hicolor/22x22/apps/korg-todo.png
%_iconsdir/hicolor/32x32/apps/korg-journal.png
%_iconsdir/hicolor/32x32/apps/korg-todo.png
%_iconsdir/hicolor/48x48/apps/korg-journal.png
%_iconsdir/hicolor/48x48/apps/korg-todo.png
%_iconsdir/hicolor/64x64/apps/korg-journal.png
%_iconsdir/hicolor/64x64/apps/korg-todo.png
%_iconsdir/hicolor/128x128/apps/korg-journal.png
%_iconsdir/hicolor/128x128/apps/korg-todo.png
%_iconsdir/hicolor/scalable/apps/korg-journal.svgz
%_iconsdir/hicolor/scalable/apps/korg-todo.svgz
%_iconsdir/hicolor/128x128/apps/konsolekalendar.png
%_iconsdir/hicolor/16x16/apps/konsolekalendar.png
%_iconsdir/hicolor/22x22/apps/konsolekalendar.png
%_iconsdir/hicolor/32x32/apps/konsolekalendar.png
%_iconsdir/hicolor/48x48/apps/konsolekalendar.png
%_datadir/kde4/services/kcmapptsummary.desktop
%_datadir/kde4/services/kcmtodosummary.desktop
%_datadir/kde4/services/kcmsdsummary.desktop
%_datadir/kde4/services/kontact/journalplugin.desktop
%_datadir/kde4/services/kontact/korganizerplugin.desktop
%_datadir/kde4/services/kontact/todoplugin.desktop
%_datadir/kde4/services/kontact/specialdatesplugin.desktop
%_datadir/kde4/services/korganizer/datenums.desktop
%_datadir/kde4/services/korganizer/hebrew.desktop
###%_datadir/kde4/services/korganizer/journalprint.desktop
%_datadir/kde4/services/korganizer/picoftheday.desktop
%_datadir/kde4/services/korganizer/thisdayinhistory.desktop
###%_datadir/kde4/services/korganizer/yearprint.desktop
%_datadir/kde4/services/korganizer_configcolorsandfonts.desktop
%_datadir/kde4/services/korganizer_configdesignerfields.desktop
%_datadir/kde4/services/korganizer_configfreebusy.desktop
%_datadir/kde4/services/korganizer_configgroupscheduling.desktop
%_datadir/kde4/services/korganizer_configmain.desktop
%_datadir/kde4/services/korganizer_configplugins.desktop
%_datadir/kde4/services/korganizer_configtime.desktop
%_datadir/kde4/services/korganizer_configviews.desktop
%_datadir/kde4/services/korganizer_part.desktop
%_datadir/kde4/services/webcal.protocol
%_datadir/kde4/servicetypes/calendardecoration.desktop
%_datadir/kde4/servicetypes/calendarplugin.desktop
%_datadir/kde4/servicetypes/dbuscalendar.desktop
###%_datadir/kde4/servicetypes/korganizerpart.desktop
###%_datadir/kde4/servicetypes/korgprintplugin.desktop


#-----------------------------------------------------------------------------

%package -n %{name}kresources
Summary: %name-kresources
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Provides: kresources
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-kresources

%description -n %{name}kresources
%name-kresources.

This package includes several plugins needed to interface with groupware
servers. It also includes plugins for features such as blogging and
tracking feature plans.

%files -n %{name}kresources
%defattr(-,root,root,-)
%_libdir/kde4/kcal_blog.so
%_libdir/kde4/kcal_remote.so
%_libdir/libkcal_resourceblog.so.4
%_libdir/libkcal_resourceblog.so.%{version}
%_libdir/libkcal_resourceremote.so.4
%_libdir/libkcal_resourceremote.so.%{version}
%_datadir/kde4/services/kresources/kcal/blog.desktop
%_datadir/kde4/services/kresources/kcal/remote.desktop


#-----------------------------------------------------------------------------

%package -n %{name}ktimetracker
Summary: %name-ktimetracker
Group: Graphical desktop/KDE4
Requires: %name-core = %version
Requires: kde-runtime
Requires: %{name}kresources
Provides: ktimetracker
Requires:	kde-pimruntime
Requires:	kdelibs
Obsoletes:	kdepim4-ktimetracker

%description -n %{name}ktimetracker
%name-ktimetracker.

KTimeTracker tracks time spent on various tasks. It is useful for tracking
hours to be billed to different clients or just to find out what percentage
of your day is spent playing Soliatire or reading PCLinuxOS Forum.

%files -n %{name}ktimetracker
%defattr(-,root,root,-)
%_bindir/karm
%_bindir/ktimetracker
%_libdir/kde4/kcm_ktimetracker.so
#%_libdir/kde4/kontact_ktimetrackerplugin.so
%_libdir/kde4/ktimetrackerpart.so
%_datadir/applications/kde4/ktimetracker.desktop
%_datadir/apps/kontact/ksettingsdialog/

%_datadir/apps/ktimetracker/icons/hicolor/128x128/actions/subtask-new-ktimetracker.png
%_datadir/apps/ktimetracker/icons/hicolor/16x16/actions/subtask-new-ktimetracker.png
%_datadir/apps/ktimetracker/icons/hicolor/22x22/actions/subtask-new-ktimetracker.png
%_datadir/apps/ktimetracker/icons/hicolor/32x32/actions/subtask-new-ktimetracker.png
%_datadir/apps/ktimetracker/icons/hicolor/48x48/actions/subtask-new-ktimetracker.png
%_datadir/apps/ktimetracker/icons/hicolor/64x64/actions/subtask-new-ktimetracker.png
%_datadir/apps/ktimetracker/icons/hicolor/scalable/actions/subtask-new-ktimetracker.svgz
%_datadir/apps/ktimetracker/ktimetrackerui.rc
#%_datadir/apps/kontact/ktimetrackerui.rc
%_datadir/apps/ktimetracker/pics/active-icon-0.xpm
%_datadir/apps/ktimetracker/pics/active-icon-1.xpm
%_datadir/apps/ktimetracker/pics/active-icon-2.xpm
%_datadir/apps/ktimetracker/pics/active-icon-3.xpm
%_datadir/apps/ktimetracker/pics/active-icon-4.xpm
%_datadir/apps/ktimetracker/pics/active-icon-5.xpm
%_datadir/apps/ktimetracker/pics/active-icon-6.xpm
%_datadir/apps/ktimetracker/pics/active-icon-7.xpm
%_datadir/apps/ktimetracker/pics/clock.xpm
%_datadir/apps/ktimetracker/pics/clockedit.xpm
%_datadir/apps/ktimetracker/pics/empty-watch.xpm
%_datadir/apps/ktimetracker/pics/filedel.xpm
%_datadir/apps/ktimetracker/pics/task-complete.xpm
%_datadir/apps/ktimetracker/pics/task-incomplete.xpm
%_datadir/apps/ktimetracker/pics/watch-0.xpm
%_datadir/apps/ktimetracker/pics/watch-1.xpm
%_datadir/apps/ktimetracker/pics/watch-2.xpm
%_datadir/apps/ktimetracker/pics/watch-3.xpm
%_datadir/apps/ktimetracker/pics/watch-4.xpm
%_datadir/apps/ktimetracker/pics/watch-5.xpm
%_datadir/apps/ktimetracker/pics/watch-6.xpm
%_datadir/apps/ktimetracker/pics/watch-7.xpm
%_datadir/dbus-1/interfaces/org.kde.ktimetracker.ktimetracker.xml
%_datadir/doc/HTML/en/ktimetracker/common
%_datadir/doc/HTML/en/ktimetracker/csvexport.png
%_datadir/doc/HTML/en/ktimetracker/idle-detect.png
%_datadir/doc/HTML/en/ktimetracker/index.cache.bz2
%_datadir/doc/HTML/en/ktimetracker/index.docbook
%_datadir/doc/HTML/en/ktimetracker/ktimetracker.png
%_datadir/doc/HTML/en/ktimetracker/systray.png
%_datadir/icons/hicolor/128x128/apps/ktimetracker.png
%_datadir/icons/hicolor/16x16/apps/ktimetracker.png
%_datadir/icons/hicolor/22x22/apps/ktimetracker.png
%_datadir/icons/hicolor/32x32/apps/ktimetracker.png
%_datadir/icons/hicolor/48x48/apps/ktimetracker.png
%_datadir/icons/hicolor/64x64/apps/ktimetracker.png
%_datadir/kde4/services/ktimetrackerpart.desktop
%_datadir/kde4/services/ktimetracker_config_behavior.desktop
%_datadir/kde4/services/ktimetracker_config_display.desktop
%_datadir/kde4/services/ktimetracker_config_storage.desktop

#-----------------------------------------------------------------------------

%package -n %{name}kincidenceeditor
Summary: kincidenceeditor
Group: Graphical desktop/KDE4
Obsoletes: keventeditor 
Requires: %name-core = %version
Requires:	kde-pimruntime
Requires:	kdelibs
Provides:	kincidenceeditor

%description -n %{name}kincidenceeditor
New incidince editors 

%files -n %{name}kincidenceeditor
%defattr(-,root,root)
%_bindir/kincidenceeditor
%_libdir/libincidenceeditorsng.so.4
%_libdir/libincidenceeditorsng.so.%{version}
%_libdir/libincidenceeditorsngmobile.so.4
%_libdir/libincidenceeditorsngmobile.so.%{version}
%_libdir/libkdepimdbusinterfaces.so.4
%_libdir/libkdepimdbusinterfaces.so.%{version}
%_libdir/libkdgantt2.so.0


#-----------------------------------------------------------------------------

%package -n %name-core
Summary: Core files for kdepim
Group: Graphical desktop/KDE4
Requires: kde-runtime
Requires:  kde-pimruntime
Requires:  kdelibs
Obsoletes:	kdepim4-core

%description core
Core files for kdepim.

%files -n %{name}-core
%defattr(-,root,root,-)
%_bindir/pimsettingexporter
%_kde_bindir/storageservicemanager
%_kde_applicationsdir/storageservicemanager.desktop
%_kde_applicationsdir/pimsettingexporter.desktop
%_kde_appsdir/storageservicemanager
%_datadir/doc/HTML/en/pimsettingexporter
%_libdir/kde4/ktexteditorkabcbridge.so
%_libdir/kde4/plugins/designer/kdepimwidgets.so
%_libdir/libakonadi_next.so.4
%_libdir/libakonadi_next.so.%{version}
%_libdir/libpimsettingexporterprivate.so.4
%_libdir/libpimsettingexporterprivate.so.%{version}
%_libdir/libkdepim.so.4
%_libdir/libkdepim.so.%{version}
%_libdir/libpimcommon.so.4
%_libdir/libpimcommon.so.%{version}
%_libdir/libkleo.so.4
%_libdir/libkleo.so.%{version}
%_libdir/libkpgp.so.4
%_libdir/libkpgp.so.%{version}
%_libdir/libmessagecore.so.4
%_libdir/libmessagecore.so.%{version}
%_libdir/libmessagelist.so.4
%_libdir/libmessagelist.so.%{version}
#%_libdir/strigi/strigiea_ics.so
#%_libdir/strigi/strigiea_vcf.so
#%_libdir/strigi/strigiea_mail.so
#%_libdir/strigi/strigiea_ctg.so
%_datadir/apps/pimsettingexporter/pimsettingexporter.rc
%_datadir/apps/pimsettingexporter/backup-structure.txt
%_datadir/apps/kconf_update/kpgp-3.1-upgrade-address-data.pl
%_datadir/apps/kconf_update/kpgp.upd
%_datadir/apps/kdepimwidgets/pics/addresseelineedit.png
%_datadir/apps/kdepimwidgets/pics/clicklineedit.png
%_datadir/apps/kdepimwidgets/pics/kdateedit.png
%_datadir/apps/kdepimwidgets/pics/ktimeedit.png
%_datadir/dbus-1/interfaces/org.kde.addressbook.service.xml
%_datadir/dbus-1/interfaces/org.kde.mailtransport.service.xml
%_datadir/icons/oxygen/16x16/mimetypes/x-mail-distribution-list.png
%_iconsdir/oxygen/256x256/mimetypes/x-mail-distribution-list.png
%_iconsdir/oxygen/512x512/mimetypes/x-mail-distribution-list.png
%_iconsdir/oxygen/128x128/mimetypes/x-mail-distribution-list.png
%_datadir/icons/oxygen/22x22/mimetypes/x-mail-distribution-list.png
%_datadir/icons/oxygen/32x32/mimetypes/x-mail-distribution-list.png
%_datadir/icons/oxygen/48x48/mimetypes/x-mail-distribution-list.png
%_datadir/icons/oxygen/scalable/mimetypes/x-mail-distribution-list.svgz
%_iconsdir/hicolor/*/apps/kdepim-*.png
#%_datadir/kde4/services/kcmpimactivity.desktop

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Summary(de): Entwicklerdateien für %name
Group: Development/Libraries
Requires: kde4-macros
Requires: kde-pimlibs-devel
Obsoletes: kdepim4-devel

%description  devel
This package contains header files needed if you wish to build applications
based on kdepim.

#german
%description  devel -l de
Beinhaltet die Headerdateien, die benötigt werden zum erstellen von 
Anwendungen basierend auf KDEpim.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%{_includedir}/kleo
%{_includedir}/kpgp
%{_includedir}/libkleopatraclient

#----------------------------------------------------------------------

%prep
%setup -q -n kdepim-%version
%apply_patches
###%patch0 -p1 -b .install_kleopatra_headers

%build
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF \
  -DKDEPIM_BUILD_MOBILE=false
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

#MENU Files
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/KMail2.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --remove-category="Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/Kontact.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/KNode.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/akregator.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Office" \
  --remove-category="ContactManagement" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kaddressbook.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="TextTools" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/knotes.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/Kjots.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-TimeManagement" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/korganizer.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-TimeManagement" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kalarm.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-TimeManagement" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/ktimetracker.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kontact-admin.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pp <pp> 4.14.10-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.7-1pclos2015
- 4.14.7

* Sat Mar 07 2015 bb <bb> 4.14.6-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

